<template>
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <router-link to="/" class="brand-link">
      <img
        src=" favicon.ico"
        alt="PT Management"
        class="brand-image img-circle"
        style="opacity: 1"
      />
      <span class="brand-text font-weight-light">PT Management</span>
    </router-link>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img
            :src="user.image"
            class="img-circle elevation-2"
            alt="User Image"
          />
        </div>
        <div class="info">
          <router-link to="/profile" class="d-block">{{
            user.firstName
          }}</router-link>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2" v-if="user && user.role !== 'Client'">
        <ul
          class="nav nav-pills nav-sidebar flex-column"
          data-widget="treeview"
          role="menu"
          data-accordion="false"
        >
          <!-- Add icons to the links using the .nav-icon class
          with font-awesome or any other icon font library-->

          <li class="nav-item has-treeview">
            <router-link to="/" class="nav-link">
              <i class="nav-icon fas fa-th"></i>
              <p>Dashboard</p>
            </router-link>
          </li>
          <li class="nav-item has-treeview" v-if="user && user.role == 'Admin'">
            <router-link to="/trainers" class="nav-link">
              <i class="nav-icon fas fa-running"></i>
              <p>Trainers</p>
            </router-link>
          </li>
          <li class="nav-item has-treeview">
            <router-link to="/clients" class="nav-link">
              <i class="nav-icon fas fa-users"></i>
              <p>Clients</p>
            </router-link>
          </li>
          <li class="nav-item has-treeview" v-if="user.role === 'Admin'">
            <router-link to="/bookings" class="nav-link">
              <i class="nav-icon fas fa-book"></i>
              <p>Bookings</p>
            </router-link>
          </li>
          <li class="nav-item has-treeview">
            <router-link to="/venues" class="nav-link">
              <i class="nav-icon fa fa-home"></i>
              <p>Venues</p>
            </router-link>
          </li>
          <li class="nav-item has-treeview">
            <router-link to="/invoices" class="nav-link">
              <i class="nav-icon fas fa-file-invoice-dollar"></i>
              <p>Invoices</p>
            </router-link>
          </li>
          <li class="nav-item has-treeview">
            <router-link to="/reports" class="nav-link">
              <i class="nav-icon fas fa-file-csv"></i>
              <p>Report</p>
            </router-link>
          </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>
</template>

<script>
export default {
  name: "SidebarMenu",
  data: function () {
    return {
      isMenuOpen: false,
    };
  },
  computed: {
    user() {
      return this.$store.getters.getAuthUser;
    },
  },
  methods: {
    toogleMenu: function (event) {
      event.stopPropagation();
      event.preventDefault();
      this.isMenuOpen = !this.isMenuOpen;
    },
  },
};
</script>

<style>
</style>
